Bug 82768 - Windows Registry parameters missing
Summary: Windows Registry parameters missing
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Installer-Windows
  Show dependency treegraph
 
Reported: 2014-08-18 13:31 UTC by Leif Lodahl
Modified: 2021-04-23 04:00 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Leif Lodahl 2014-08-18 13:31:49 UTC
The following Windows Registry parameters seems to be missing in the MSI-file:
REGISTER_XLAM
REGISTER_CSV
REGISTER_PPSM
REGISTER_PPAM

Relevant for several versions: 4.1.6, 4.2.6 and 4.3.0. 

Could be related to #51651.
Comment 1 Joel Madero 2015-10-18 17:33:19 UTC
Hi Lief -

For your bugs we're just going to push to NEW - if this is no longer an issue in 5.0.2.2 can you please close it as WORKSFORME. Thanks!
Comment 2 Leif Lodahl 2015-11-04 17:35:51 UTC
Still not solved in 5.0.3. The following REGISTER-properties are present:


REGISTER_PPS	0
REGISTER_PPSX	0
REGISTER_PPT	0
REGISTER_PPTX	0
REGISTER_PPTM	0
REGISTER_POT	0
REGISTER_POTX	0
REGISTER_POTM	0
REGISTER_DOC	0
REGISTER_DOCX	0
REGISTER_DOCM	0
REGISTER_DOT	0
REGISTER_DOTX	0
REGISTER_DOTM	0
REGISTER_RTF	0
REGISTER_XLS	0
REGISTER_XLSX	0
REGISTER_XLSM	0
REGISTER_XLSB	0
REGISTER_XLT	0
REGISTER_XLTX	0
REGISTER_XLTM	0
REGISTER_NO_MSO_TYPES	0
REGISTER_ALL_MSO_TYPES	0
Comment 3 Joel Madero 2015-11-04 18:11:21 UTC
Version is oldest version not latest version tested. Reverting
Comment 4 QA Administrators 2016-11-08 11:51:56 UTC Comment hidden (obsolete)
Comment 5 Mike Kaganski 2019-04-23 09:07:07 UTC
A relevant comment in [1]:

> # we do not register PPSM, PPAM, and XLAM file types in
> # setup_native\source\win32\customactions\reg4allmsdoc\reg4allmsi.cxx
> # (probably because LibreOffice can't deal with them properly (?)

Regarding REGISTER_CSV - where does that come from?

[1] https://opengrok.libreoffice.org/xref/core/solenv/bin/modules/installer/windows/property.pm?r=79383148#348
Comment 6 QA Administrators 2021-04-23 04:00:28 UTC
Dear Leif Lodahl,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug